### Enumeration

# WebKit2 HardwareAccelerationPolicy

since: 2.16

#### Declaration

    enum WebKit2.HardwareAccelerationPolicy

#### Description [src]

Enum values used for determining the hardware acceleration policy.

Available since: 2.16

#### Members

`WEBKIT_HARDWARE_ACCELERATION_POLICY_ON_DEMAND`

  Hardware acceleration is enabled/disabled as request by web contents.

  - Value: `0`
  - Nickname: `on-demand`
  - Available since: 2.16
`WEBKIT_HARDWARE_ACCELERATION_POLICY_ALWAYS`

  Hardware acceleration is always enabled, even for websites not requesting it.

  - Value: `1`
  - Nickname: `always`
  - Available since: 2.16
`WEBKIT_HARDWARE_ACCELERATION_POLICY_NEVER`

  Hardware acceleration is always disabled, even for websites requesting it.

  - Value: `2`
  - Nickname: `never`
  - Available since: 2.16